> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ainvest.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Articles

> Returns latest articles ordered by time latest first, supports pagination and filtering options.



## OpenAPI

````yaml reference/news/news.yaml GET /news/v1/article/page/history
openapi: 3.1.0
info:
  title: News and articles API
  description: Get the latest news and articles
  version: 1.0.0
servers:
  - url: https://openapi.ainvest.com/open
    description: Production environment
security:
  - bearerAuth: []
tags:
  - name: News
externalDocs:
  description: Find detailed documentation for all use cases related to this API
  url: https://docs.ainvest.com/news
paths:
  /news/v1/article/page/history:
    get:
      tags:
        - News
      summary: Get latest articles
      description: >-
        Returns latest articles ordered by time latest first, supports
        pagination and filtering options.
      operationId: getLatestArticles
      parameters:
        - name: start_id
          in: query
          required: false
          description: >-
            Used for paging. If specified, return the latest items earlier than
            this id. If not specified, return the latest items from now.
          schema:
            type: string
            example: US_ARTICLEd7c3a136cc8822f4
        - name: size
          in: query
          required: false
          description: Number of items to return. Default is 10, maximum is 50.
          schema:
            type: integer
            minimum: 1
            maximum: 50
            default: 10
      responses:
        '200':
          description: An array of articles
          content:
            application/json:
              schema:
                $schema: http://json-schema.org/draft-04/schema#
                type: object
                properties:
                  data:
                    type: object
                    properties:
                      start_id:
                        type: string
                        description: Start ID from the request
                      size:
                        type: integer
                        description: Page size
                      data:
                        type: array
                        description: An array of article structures
                        items:
                          $ref: '#/components/schemas/Article'
                  status_code:
                    type: number
                    description: Status code, `0` for success
                  status_msg:
                    type: string
                    description: Status message, `success` for success
components:
  schemas:
    Article:
      type: object
      properties:
        news_id:
          type: string
          description: News ID to be used as start_id for pagination
        content_id:
          type: string
          description: Content ID to fetch the full content body
        publish_time:
          type: number
          description: Content publish timestamp, milliseconds
        title:
          type: string
          description: Content title
        seo_key:
          type: string
          description: Url-friendly content title
        cover_image:
          type: string
          description: Content cover image url
        author:
          type: object
          properties:
            account_id:
              type: string
              description: Internal ID
            nickname:
              type: string
              description: Author name
            portrait:
              type: string
              description: Author avatar image URL
        tag_list:
          type: array
          description: >-
            List of tags attached to the content. A tag can be a ticker symbol
            mentioned in the content.
          items:
            type: object
            properties:
              code:
                type: string
                description: Ticker symbol mentioned in the content
              market:
                type: string
                description: >-
                  Market code, please refer to the [market
                  codes](/reference/codes) in the documentation
              name_en:
                type: string
                description: Company name
            required:
              - code
              - market
              - name_en
        language:
          type: string
          description: The language of the content
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: >-
        Bearer authentication header of the form `Bearer <token>`, where
        `<token>` is your key. [Get the key
        here](https://www.ainvest.com/business/developer-manage/)

````